=== debian/changelog ===
ros-kinetic-urdf-geometry-parser (0.1.0-1xenial) xenial; urgency=high

  * Remove tf2 dependency
  * Add license
  * Bump CMake version to avoid CMP0048 warning
  * Cleanup CMakeLists.txt and package.xml
  * Contributors: Bence Magyar, Matt Reynolds, Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 04 Apr 2020 23:00:00 -0000

ros-kinetic-urdf-geometry-parser (0.0.3-1xenial) xenial; urgency=high

  * add travis config, based on industrial_ci
  * Make sure to include urdfdom_compatibility.h.
    This ensures that urdf_geometry_parser will build on all distros
    (including older Debian Jessie).
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Bence Magyar, Chris Lalancette, Mathias Lüdtke

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 06 Aug 2017 23:00:00 -0000

ros-kinetic-urdf-geometry-parser (0.0.2-1xenial) xenial; urgency=high

  * use urdf typedefs (fix builds on Ubuntu Y, Z and Debian Stretch)
  * Contributors: Mikael Arguedas

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 03 Jul 2017 23:00:00 -0000

ros-kinetic-urdf-geometry-parser (0.0.1-1xenial) xenial; urgency=high

  * First release of urdf_geometry_parser
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 02 Jul 2017 23:00:00 -0000
