=== debian/control ===
Source: ros-kinetic-urdf-geometry-parser
Section: misc
Priority: optional
Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: http://ros.org/wiki/urdf_geometry_parser
Standards-Version: 3.9.2

Package: ros-kinetic-urdf-geometry-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roscpp, ros-kinetic-urdf
Description: Extract geometry value of a vehicle from urdf.
